package com.ruoyi.powerdistribution.domain.dto;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.powerdistribution.domain.PdmWorkPlan;
import lombok.Data;

import java.util.Date;

/**
 * rpa作业信息
 */
@Data
public class RpaWorkPlanDTO {

    /**
     * uuid
     */
    private String workPlanId;
    private String workPlanCode;
    private String weekPlanId;
    private String workPlanName;
    private String mainsend;
    private String mainsendId;
    private String orgOrder;
    private String ownOrg;
    private String ownOrgId;
    private String secondDevopsOrgId;
    private String secondWorkOrgId;
    private String workOrg;
    private String workOrgId;
    private String devopsOrg;
    private String devopsOrgId;
    private String substationName;
    private String substationId;
    private String workriskLevel;
    private String workriskLevelVal;
    private String gridriskLevel;
    private String gridriskLevelVal;
    private String voltageLevel;
    private String voltageLevelVal;
    private String majorType;
    private String majorTypeVal;
    private String workType;
    private String workTypeVal;
    private String workticketType;
    private String workticketTypeVal;
    private String powerCut;
    private String powerCutVal;
    private String liveWorkFlag;
    private String liveWorkFlagVal;
    private String beginTime;
    private String actualBeginTime;
    private String endTime;
    private String actualEndTime;
    private String workManagerArrivalTime;
    /**
     * 作业内容
     */
    private String workcontents;
    private String addrProvince;
    private String addrCity;
    private String addrCountry;
    private String workPlace;
    private String landmark;
    private String workingGroup;
    private String workingGroupId;
    private String majorworkerNum;
    private String outworkerNum;
    private String industrialworkerNum;
    private String workManager;
    private String workManagerId;
    private String workManagerContact;
    private String workerNature;
    private String projectName;
    private String projectId;
    private String manageDep;
    private String buildManageOrg;
    private String constructionOrg;
    private String constructionOrgId;
    private String constructionOrgLb;
    private String constructionOrgLbVal;
    private String subcontractOrg;
    private String subcontractOrgId;
    private String subcontractNature;
    private String subcontractNatureVal;
    private String supervisororg;
    private String supervisororgId;
    private String powerOffAreas;
    private String pubState;
    private String pubTime;
    private String pubUser;
    private String pubUserId;
    private String isPubTimely;
    private String workState;
    private String workStateVal;
    private String isModify;
    private String isDelete;
    private String bindVideo;
    private String bindSafehat;
    private String workSrc;
    private String srcWorkId;
    private String createTime;
    private String updateTime;
    private String planType;
    private String planTypeVal;
    private String arrivalProvince;
    private String arrivalCity;
    private String arrivalCounty;
    private String isSafetyDuty;
    private String jl;
    private String arrivalStaff;
    private String arrivalType;
    private String arrivalTypeVal;
    private String isArrival;
    private String score;
    private String scoreDetail;
    private String validity;
    private String detailId;
    private String devicePositionStatus;
    private String productionProcesses;
    private String productionProcessesVal;
    private String deputyWorkManager;
    private String deputyWorkManagerId;
    private String deputyWorkManagerContact;
    private String isReport;
    private String ticketId;
    private String riskBookId;
    private String crossDayFlag;
    private String actualWorkerNum;
    private String accidentRiskFlg;
    private String accidentRiskType;
    private String accidentRiskTypeVal;

    public PdmWorkPlan changeRpa(RpaWorkPlanDTO dto){
        PdmWorkPlan plan  = new PdmWorkPlan();
        plan.setUuid(dto.getWorkPlanId());
        plan.setWeekPlanNo(dto.getWorkPlanCode());
        plan.setWeekPlanId(dto.getWeekPlanId());
        plan.setPlanNm(dto.getWorkPlanName());
        plan.setProjId(dto.getProjectId());
        plan.setProjNm(dto.getProjectName());
        plan.setSubmitOrgId(dto.getMainsendId());
        plan.setSubmitOrgNm(dto.getMainsend());
        plan.setOrgSort(dto.getOrgOrder());
        plan.setMgmtOrgId(dto.getOwnOrgId());
        plan.setMgmtOrgNm(dto.getOwnOrg());
        plan.setSubsOrLineId(dto.getSubstationId());
        plan.setSubsOrLineNm(dto.getSubstationName());
        plan.setOpRiskLvlCd(dto.getWorkriskLevel());
        plan.setOpRiskLvlDsc(dto.getWorkriskLevelVal());
        plan.setElecgdRiskLvlCd(dto.getGridriskLevel());
        plan.setElecgdRiskLvlDsc(dto.getGridriskLevelVal());
        plan.setVoltLvlCd(dto.getVoltageLevel());
        plan.setVoltLvlDsc(dto.getVoltageLevelVal());
        plan.setMajorTypCd(dto.getMajorType());
        plan.setMajorTypDsc(dto.getMajorTypeVal());
        plan.setOpTypCd(dto.getWorkType());
        plan.setOpTypDsc(dto.getWorkTypeVal());
        plan.setWorkticketTypCd(dto.getWorkticketType());
        plan.setWorkticketTypDsc(dto.getWorkticketTypeVal());
        plan.setPoweroffTypCd(dto.getPowerCut());
        plan.setPoweroffTypDsc(dto.getPowerCutVal());
        plan.setIsEnergizedOpCd(dto.getLiveWorkFlag());
        plan.setIsEnergizedOpDsc(dto.getLiveWorkFlagVal());
        plan.setPlanStartWkTm(DateUtils.dateTime(DateUtils.YYYY_MM_DD_HH_MM,dto.getBeginTime()));
        plan.setPlanEndTm(DateUtils.dateTime(DateUtils.YYYY_MM_DD_HH_MM,dto.getEndTime()));
        plan.setOpContent(dto.getWorkcontents());
        plan.setOpAddr(dto.getAddrProvince());
        plan.setCityAdmAddr(dto.getAddrCity());
        plan.setCountyAdmAddr(dto.getAddrCountry());
        plan.setDetlPos(dto.getWorkPlace());
        plan.setLandmarkArchit(dto.getLandmark());
        plan.setWorkTeamId(dto.getWorkingGroupId());
        plan.setWorkTeamNm(dto.getWorkingGroup());
        plan.setMainBusiOrgOpNum(dto.getMajorworkerNum());
        plan.setOutsourcingOrgOpNum(dto.getOutworkerNum());
        plan.setIndustryOrgOpNum(dto.getIndustrialworkerNum());
        plan.setWorkPrincipId(dto.getWorkManagerId());
        plan.setWorkPrincipNm(dto.getWorkManager());
        plan.setWorkPrincipContactMode(dto.getWorkManagerContact());
        plan.setDelMarkCd(dto.getIsDelete());
        plan.setCreateTm(DateUtils.dateTime(DateUtils.YYYY_MM_DD_HH_MM,dto.getCreateTime()));
        plan.setPlanTypCd(dto.getPlanType());
        plan.setPlanTypDsc(dto.getPlanTypeVal());
        plan.setPlanExecStCd(dto.getWorkState());
        plan.setPlanExecStDsc(dto.getWorkStateVal());
        plan.setStdOrgNm("国网湖南省电力有限公司衡阳供电分公司");
        plan.setStdOrgNo("R43009");
        return plan;
    }
}
