package com.ruoyi.powerdistribution.service;

import java.util.List;
import com.ruoyi.powerdistribution.domain.AdsCstHygszdbbPdmmaintenanceprocessmonthWf;
import com.ruoyi.powerdistribution.domain.dto.AdsCstHygszdbbPdmmaintenanceprocessmonthWfDTO;

/**
 * 月计划明细Service接口
 *
 * @author ruoyi
 * @date 2025-02-26
 */
public interface IAdsCstHygszdbbPdmmaintenanceprocessmonthWfService
{
    /**
     * 查询月计划明细
     *
     * @param pkId 月计划明细主键
     * @return 月计划明细
     */
    public AdsCstHygszdbbPdmmaintenanceprocessmonthWf selectAdsCstHygszdbbPdmmaintenanceprocessmonthWfByPkId(String pkId);

    /**
     * 查询月计划明细列表
     *
     * @param adsCstHygszdbbPdmmaintenanceprocessmonthWf 月计划明细
     * @return 月计划明细集合
     */
    public List<AdsCstHygszdbbPdmmaintenanceprocessmonthWf> selectAdsCstHygszdbbPdmmaintenanceprocessmonthWfList(AdsCstHygszdbbPdmmaintenanceprocessmonthWfDTO adsCstHygszdbbPdmmaintenanceprocessmonthWf);

    /**
     * 新增月计划明细
     *
     * @param adsCstHygszdbbPdmmaintenanceprocessmonthWf 月计划明细
     * @return 结果
     */
    public int insertAdsCstHygszdbbPdmmaintenanceprocessmonthWf(AdsCstHygszdbbPdmmaintenanceprocessmonthWf adsCstHygszdbbPdmmaintenanceprocessmonthWf);

    /**
     * 修改月计划明细
     *
     * @param adsCstHygszdbbPdmmaintenanceprocessmonthWf 月计划明细
     * @return 结果
     */
    public int updateAdsCstHygszdbbPdmmaintenanceprocessmonthWf(AdsCstHygszdbbPdmmaintenanceprocessmonthWf adsCstHygszdbbPdmmaintenanceprocessmonthWf);

    /**
     * 批量删除月计划明细
     *
     * @param pkIds 需要删除的月计划明细主键集合
     * @return 结果
     */
    public int deleteAdsCstHygszdbbPdmmaintenanceprocessmonthWfByPkIds(String[] pkIds);

    /**
     * 删除月计划明细信息
     *
     * @param pkId 月计划明细主键
     * @return 结果
     */
    public int deleteAdsCstHygszdbbPdmmaintenanceprocessmonthWfByPkId(String pkId);
}
