package com.ruoyi.powerdistribution.service;

import java.util.List;
import com.ruoyi.powerdistribution.domain.PdmVehicleAlarmHist;

/**
 * 施工车辆告警历史Service接口
 * 
 * @author ruoyi
 * @date 2025-01-23
 */
public interface IPdmVehicleAlarmHistService 
{
    /**
     * 查询施工车辆告警历史
     * 
     * @param id 施工车辆告警历史主键
     * @return 施工车辆告警历史
     */
    public PdmVehicleAlarmHist selectPdmVehicleAlarmHistById(Long id);

    /**
     * 查询施工车辆告警历史列表
     * 
     * @param pdmVehicleAlarmHist 施工车辆告警历史
     * @return 施工车辆告警历史集合
     */
    public List<PdmVehicleAlarmHist> selectPdmVehicleAlarmHistList(PdmVehicleAlarmHist pdmVehicleAlarmHist);

    /**
     * 新增施工车辆告警历史
     * 
     * @param pdmVehicleAlarmHist 施工车辆告警历史
     * @return 结果
     */
    public int insertPdmVehicleAlarmHist(PdmVehicleAlarmHist pdmVehicleAlarmHist);

    /**
     * 修改施工车辆告警历史
     * 
     * @param pdmVehicleAlarmHist 施工车辆告警历史
     * @return 结果
     */
    public int updatePdmVehicleAlarmHist(PdmVehicleAlarmHist pdmVehicleAlarmHist);

    /**
     * 批量删除施工车辆告警历史
     * 
     * @param ids 需要删除的施工车辆告警历史主键集合
     * @return 结果
     */
    public int deletePdmVehicleAlarmHistByIds(Long[] ids);

    /**
     * 删除施工车辆告警历史信息
     * 
     * @param id 施工车辆告警历史主键
     * @return 结果
     */
    public int deletePdmVehicleAlarmHistById(Long id);
}
