package com.ruoyi.powerdistribution.domain.vo;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.powerdistribution.domain.PdmLine;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 线路完成情况统计
 */
@Data
public class PdmLineComplete extends PdmLine {


    /** 计划检修后无故障持续时间 */
    @Excel(name = "计划检修后无故障持续时间 ")
    private String faultFreeDuration;


    /** 奖励金额 */
    @Excel(name = "奖励金额 ")
    private BigDecimal rewardAmount;

    /**
     * 停电次数
     */
    @Excel(name = "运维单位id ")
    private String poweroffNum;
    /**
     * 是否检修超期(1-是，0-否)
     */
    @Excel(name = "是否检修超期(1-是，0-否) ")
    private  String isMaintOverdue;
    /**
     * 是否重复停电(1-是，0-否)
     */
    @Excel(name = "是否重复停电(1-是，0-否)")
    private String isRepeatPoweroff;

    @Excel(name = "运维单位id ")
    private String branchLineNm;

}
