package com.ruoyi.powerdistribution.domain.vo;

import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 队伍积分排名对象 pdm_score_rank_team
 *
 * @author ruoyi
 * @date 2024-12-09
 */
@Data
public class PdmScoreRankTeamOut
{
    private static final long serialVersionUID = 1L;

    /** 统计年月 */
    @Excel(name = "统计年月")
    private String reportDate;

    /** 队伍名称 */
    @Excel(name = "队伍名称")
    private String companyName;

    /** 得分 */
    @Excel(name = "得分")
    private BigDecimal score;

    /** 排序 */
    @Excel(name = "排名")
    private int rankNum;

}
