package com.ruoyi.powerdistribution.domain.vo;

import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 作业人员积分排名对象 pdm_score_rank_worker
 *
 * @author ruoyi
 * @date 2024-12-05
 */
@Data
public class PdmScoreRankWorkerYearOut
{
    /** 统计年 */
    @Excel(name = "统计年")
    private String reportYear;

    /** 作业单位名称 */
    @Excel(name = "单位名称")
    private String companyName;

    /** 作业人员名称 */
    @Excel(name = "作业人员名称")
    private String workUserName;

    /** 得分 */
    @Excel(name = "得分")
    private BigDecimal score;

    /** 排序 */
    @Excel(name = "排名")
    private int rankNum;

}
