package com.ruoyi.powerdistribution.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.powerdistribution.domain.dto.AdsCstHygszdbbPdmmaintenanceprocessmonthWfDTO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.powerdistribution.mapper.AdsCstHygszdbbPdmmaintenanceprocessmonthWfMapper;
import com.ruoyi.powerdistribution.domain.AdsCstHygszdbbPdmmaintenanceprocessmonthWf;
import com.ruoyi.powerdistribution.service.IAdsCstHygszdbbPdmmaintenanceprocessmonthWfService;

/**
 * 月计划明细Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-26
 */
@Service
public class AdsCstHygszdbbPdmmaintenanceprocessmonthWfServiceImpl implements IAdsCstHygszdbbPdmmaintenanceprocessmonthWfService
{
    @Autowired
    private AdsCstHygszdbbPdmmaintenanceprocessmonthWfMapper adsCstHygszdbbPdmmaintenanceprocessmonthWfMapper;

    /**
     * 查询月计划明细
     *
     * @param pkId 月计划明细主键
     * @return 月计划明细
     */
    @Override
    public AdsCstHygszdbbPdmmaintenanceprocessmonthWf selectAdsCstHygszdbbPdmmaintenanceprocessmonthWfByPkId(String pkId)
    {
        return adsCstHygszdbbPdmmaintenanceprocessmonthWfMapper.selectAdsCstHygszdbbPdmmaintenanceprocessmonthWfByPkId(pkId);
    }

    /**
     * 查询月计划明细列表
     *
     * @param adsCstHygszdbbPdmmaintenanceprocessmonthWf 月计划明细
     * @return 月计划明细
     */
    @Override
    public List<AdsCstHygszdbbPdmmaintenanceprocessmonthWf> selectAdsCstHygszdbbPdmmaintenanceprocessmonthWfList(AdsCstHygszdbbPdmmaintenanceprocessmonthWfDTO adsCstHygszdbbPdmmaintenanceprocessmonthWf)
    {
        return adsCstHygszdbbPdmmaintenanceprocessmonthWfMapper.selectAdsCstHygszdbbPdmmaintenanceprocessmonthWfList(adsCstHygszdbbPdmmaintenanceprocessmonthWf);
    }

    /**
     * 新增月计划明细
     *
     * @param adsCstHygszdbbPdmmaintenanceprocessmonthWf 月计划明细
     * @return 结果
     */
    @Override
    public int insertAdsCstHygszdbbPdmmaintenanceprocessmonthWf(AdsCstHygszdbbPdmmaintenanceprocessmonthWf adsCstHygszdbbPdmmaintenanceprocessmonthWf)
    {
        adsCstHygszdbbPdmmaintenanceprocessmonthWf.setCreateTime(DateUtils.getNowDate());
        return adsCstHygszdbbPdmmaintenanceprocessmonthWfMapper.insertAdsCstHygszdbbPdmmaintenanceprocessmonthWf(adsCstHygszdbbPdmmaintenanceprocessmonthWf);
    }

    /**
     * 修改月计划明细
     *
     * @param adsCstHygszdbbPdmmaintenanceprocessmonthWf 月计划明细
     * @return 结果
     */
    @Override
    public int updateAdsCstHygszdbbPdmmaintenanceprocessmonthWf(AdsCstHygszdbbPdmmaintenanceprocessmonthWf adsCstHygszdbbPdmmaintenanceprocessmonthWf)
    {
        adsCstHygszdbbPdmmaintenanceprocessmonthWf.setUpdateTime(DateUtils.getNowDate());
        return adsCstHygszdbbPdmmaintenanceprocessmonthWfMapper.updateAdsCstHygszdbbPdmmaintenanceprocessmonthWf(adsCstHygszdbbPdmmaintenanceprocessmonthWf);
    }

    /**
     * 批量删除月计划明细
     *
     * @param pkIds 需要删除的月计划明细主键
     * @return 结果
     */
    @Override
    public int deleteAdsCstHygszdbbPdmmaintenanceprocessmonthWfByPkIds(String[] pkIds)
    {
        return adsCstHygszdbbPdmmaintenanceprocessmonthWfMapper.deleteAdsCstHygszdbbPdmmaintenanceprocessmonthWfByPkIds(pkIds);
    }

    /**
     * 删除月计划明细信息
     *
     * @param pkId 月计划明细主键
     * @return 结果
     */
    @Override
    public int deleteAdsCstHygszdbbPdmmaintenanceprocessmonthWfByPkId(String pkId)
    {
        return adsCstHygszdbbPdmmaintenanceprocessmonthWfMapper.deleteAdsCstHygszdbbPdmmaintenanceprocessmonthWfByPkId(pkId);
    }
}
